<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>User.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">qualitelogicieltp</a> &gt; <a href="index.source.html" class="el_package">fr.mds.qualitelogicieltp.entities</a> &gt; <span class="el_source">User.java</span></div><h1>User.java</h1><pre class="source lang-java linenums">package fr.mds.qualitelogicieltp.entities;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 *
 * @author Eloise
 *
 */
@Entity
public class User {
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	private String firstname;
	private String lastname;
	
<span class="pc" id="L29">	@OneToMany</span>
	@JoinColumn(name = &quot;MY_FK_COL&quot;, nullable = true)
	private List&lt;Product&gt; products = new ArrayList&lt;Product&gt;();
	
	public User() {
<span class="fc" id="L34">	    super();</span>
<span class="fc" id="L35">	}</span>
	
	public User(Long id, String firstname, String lastname) {
<span class="fc" id="L38">	    super();</span>
<span class="fc" id="L39">	    this.id = id;</span>
<span class="fc" id="L40">	    this.firstname = firstname;</span>
<span class="fc" id="L41">	    this.lastname = lastname;</span>
<span class="fc" id="L42">	}</span>

	public User(Long id, String firstname, String lastname, List&lt;Product&gt; products) {
<span class="nc" id="L45">	    super();</span>
<span class="nc" id="L46">	    this.id = id;</span>
<span class="nc" id="L47">	    this.firstname = firstname;</span>
<span class="nc" id="L48">	    this.lastname = lastname;</span>
<span class="nc" id="L49">	    this.products = products;</span>
<span class="nc" id="L50">	}</span>
	
	public String getFirstname() {
<span class="fc" id="L53">		return firstname;</span>
	}

	public void setFirstname(String firstname) {
<span class="fc" id="L57">		this.firstname = firstname;</span>
<span class="fc" id="L58">	}</span>

	public String getLastname() {
<span class="fc" id="L61">		return lastname;</span>
	}

	public void setLastname(String lastname) {
<span class="fc" id="L65">		this.lastname = lastname;</span>
<span class="fc" id="L66">	}</span>

	public List&lt;Product&gt; getProducts() {
<span class="nc" id="L69">		return products;</span>
	}

	public void setProducts(List&lt;Product&gt; products) {
<span class="nc" id="L73">		this.products = products;</span>
<span class="nc" id="L74">	}</span>

	public Long getId() {
<span class="fc" id="L77">		return id;</span>
	}

	public void setId(Long id) {
<span class="fc" id="L81">		this.id = id;</span>
<span class="fc" id="L82">	}</span>
	
	@Override
	public String toString() {
<span class="fc" id="L86">		return &quot;Id : &quot; + id + &quot;\nFirstname : &quot; + firstname + &quot;\nLastname : &quot; + lastname;</span>
	}
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>